// ̒Pʂ̕ϊ
class ConvertingLengthUnits {
	// ~[g(mm)Z`[g(cm)ɕϊ
	static double mm_to_cm( double mm )
	{
		return mm / 10.0;
	}

	// Z`[g(cm)~[g(mm)ɕϊ
	static double cm_to_mm( double cm )
	{
		return cm * 10.0;
	}


	// ~[g(mm)[g(m)ɕϊ
	static double mm_to_m( double mm )
	{
		return mm / 1000.0;
	}

	// [g(m)~[g(mm)ɕϊ
	static double m_to_mm( double m )
	{
		return m * 1000.0;
	}


	// Z`[g(cm)[g(m)ɕϊ
	static double cm_to_m( double cm )
	{
		return cm / 100.0;
	}

	// [g(m)Z`[g(cm)ɕϊ
	static double m_to_cm( double m )
	{
		return m * 100.0;
	}


	// [g(m)L[g(km)ɕϊ
	static double m_to_km( double m )
	{
		return m / 1000.0;
	}

	// L[g(km)[g(m)ɕϊ
	static double km_to_m( double km )
	{
		return km * 1000.0;
	}


	// ~[g(mm)C`(inch)ɕϊ
	static double mm_to_inch( double mm )
	{
		return mm / 25.4;
	}

	// C`(inch)~[g(mm)ɕϊ
	static double inch_to_mm( double inch )
	{
		return inch * 25.4;
	}


	// C`(inch)tB[g(feet)ɕϊ
	static double inch_to_feet( double inch )
	{
		return inch / 12.0;
	}

	// tB[g(feet)C`(inch)ɕϊ
	static double feet_to_inch( double feet )
	{
		return feet * 12.0;
	}


	// tB[g(feet)[h(yard)ɕϊ
	static double feet_to_yd( double feet )
	{
		return feet / 3.0;
	}

	// [h(yard)tB[g(feet)ɕϊ
	static double yd_to_feet( double yd )
	{
		return yd * 3.0;
	}


	// [h(yard)}C(mile)ɕϊ
	static double yd_to_mile( double yd )
	{
		return yd / 1760.0;
	}

	// }C(mile)[h(yard)ɕϊ
	static double mile_to_yd( double mile )
	{
		return mile * 1760.0;
	}


	// tB[g(feet)~[g(mm)ɕϊ
	static double feet_to_mm( double feet )
	{
		double inch;

		inch = feet_to_inch( feet );
		return inch_to_mm( inch );
	}


	// [h(yard)~[g(mm)ɕϊ
	static double yd_to_mm( double yard )
	{
		double feet;

		feet = yd_to_feet( yard );
		return feet_to_mm( feet );
	}


	// }C(mile)~[g(mm)ɕϊ
	static double mile_to_mm( double mile )
	{
		double yard;

		yard = mile_to_yd( mile );
		return yd_to_mm( yard );
	}


	// tB[g(feet)[g(m)ɕϊ
	static double feet_to_m( double feet )
	{
		double inch, mm;

		inch = feet_to_inch( feet );
		mm =inch_to_mm( inch );
		return mm_to_m( mm );
	}


	// [h(yard)[g(m)ɕϊ
	static double yd_to_m( double yard )
	{
		double feet;

		feet = yd_to_feet( yard );
		return feet_to_m( feet );
	}


	// }C(mile)[g(m)ɕϊ
	static double mile_to_m( double mile )
	{
		double yard;

		yard = mile_to_yd( mile );
		return yd_to_m( yard );
	}
}


// C
public class LengthConverter {
	public static void main( String[] args ) {
		double m;	// [g
		double mm;	// ~[g
		double yard;	// [h
		double feet;	// tB[g
		double inch;	// C`

		// PZ`[g  ~[g
		mm = ConvertingLengthUnits.cm_to_mm( 1.0 );
		System.out.println( "PZ`[ǵA" + mm + "~[g" );

		// PC`  ~[g
		mm = ConvertingLengthUnits.inch_to_mm( 1.0 );
		System.out.println( "PC`́A" + mm + "~[g" );

		// PtB[g  ~[g
		mm = ConvertingLengthUnits.feet_to_mm( 1.0 );
		System.out.println( "PtB[ǵA" + mm + "~[g" );

		// PL[g  [g
		m = ConvertingLengthUnits.km_to_m( 1.0 );
		System.out.println( "PL[ǵA" + m + "[g" );

		// P[h  [g
		m = ConvertingLengthUnits.yd_to_m( 1.0 );
		System.out.println( "P[h́A" + m + "[g" );

		// P}C  [g
		m = ConvertingLengthUnits.mile_to_m( 1.0 );
		System.out.println( "P}ĆA" + m + "[g" );

		// P}C  C`
		yard = ConvertingLengthUnits.mile_to_yd( 1.0 );
		feet = ConvertingLengthUnits.yd_to_feet( yard );
		inch = ConvertingLengthUnits.feet_to_inch( feet );
		System.out.println( "P}ĆA" + inch + "C`" );
	}
}